Bug 142014 - not allowing pop3 login from user to retrieve mail
Summary: not allowing pop3 login from user to retrieve mail
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-06 19:12 UTC by Mike Hawkstarrr
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 21:16:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Hawkstarrr 2004-12-06 19:12:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
I'm kinda a noob, so I appologize in advance if this is something 
really dumb.
I have FC2 installed, users inputted, sendmail + cyrus-imapd as the 
pop3 dameon. For whatever reason it will not allow a login from a 
user to retrieve mail. It just won't authenticate the user, gives -
ERR [AUTH] Invalid login. 
Is there something I'm missing in the config to allow a pop3 login? I 
can telnet to port 110, it connects and says server ready, but does 
not ask for a logon, and does not give any options. Hopefully this 
helps.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.basic sendmail/cyrus install
2.add a user, add user to mail group
3.try to retrieve mail from any pop mail client
    

Actual Results:  Invalid logon returned from the server. 

Expected Results:  Should have logged in and downloaded mail to 
client.

Additional info:

Comment 1 John Dennis 2004-12-06 20:03:41 UTC
There is quite of bit of configuration documentation in
/usr/share/doc/cyrus-imapd-*/. Start by opening a browser on
index.html in that directory.

I'm assuming you have the following line in /etc/imapd.conf:

sasl_pwcheck_method: saslauthd

The sasl_pwcheck_method says how authentication will be done, by
default it is set to saslauthd. saslauthd is a system service (daemon)
if its not running authentication will not work. To start the
saslauthd service:

/sbin/service saslauthd start

to have it start everytime the box is booted:

/sbin/chkconfig saslauthd on

Note, you will have to configure saslauthd to match your
authentication method, this is specified in /etc/sysconfig/saslauthd,
by default it is set to "shadow", which is your shadow password file. 

saslauth is documented in /usr/share/doc/cyrus-sasl*, you can use a
variety of authentication methods, PAM is also popular and will then
perfectly reflect how any user is authtenticated on your system.

If these suggestions work for you then please close this bug report.


Note You need to log in before you can comment on or make changes to this bug.